#!/bin/sh
# $FreeBSD: head/devel/zookeeper/files/zkCli.sh.in 405460 2016-01-07 15:42:56Z skreuzer $

zookeeper_log4jpropfile="file:/usr/local/etc/zookeeper/log4j.properties"
zookeeper_rootlogger="WARN,CONSOLE"
zookeeper_logdir="/var/log/zookeeper"

JAVA=/usr/local/openjdk7/bin/java
JAVAJARDIR=/usr/local/share/java/classes

for i in zookeeper jline slf4j-api netty log4j
do
    CLASSPATH="${JAVAJARDIR}/$i.jar:$CLASSPATH"
done
CLASSPATH=/usr/local/share/slf4j/slf4j-log4j12.jar:$CLASSPATH

zookeeper_main="org.apache.zookeeper.ZooKeeperMain"
log4j_params="-Dzookeeper.log.dir=${zookeeper_logdir} \
            -Dzookeeper.root.logger=${zookeeper_rootlogger} \
            -Dlog4j.configuration=${zookeeper_log4jpropfile}"

${JAVA} -cp "$CLASSPATH" $CLIENT_JVMFLAGS $JVMFLAGS \
    ${log4j_params} ${zookeeper_main} $@
